# ``twisted`.`internet`.`interfaces`.`IFileDescriptorReceiver``

interface documentation

`class IFileDescriptorReceiver(Interface): (source)`

Known implementations: `twisted.protocols.amp._DescriptorExchanger`

View In Hierarchy

Protocols may implement `IFileDescriptorReceiver` to receive file descriptors sent to them. This is useful in conjunction with `IUNIXTransport`, which allows file descriptors to be sent between processes on a single host.

Method | `fileDescriptorReceived` | Called when a file descriptor is received over the connection.

def fileDescriptorReceived(descriptor): (source)
Called when a file descriptor is received over the connection.

Parameters
descriptor:`int` | The descriptor which was received.
Returns
`None`